%global fontname layla
%global fontconf 67-%{fontname}
Name:		%{fontname}-fonts
Version:	1.4
Release:	2%{?dist}
Summary:	A collection of traditional Arabic fonts
License:	OFL
URL:		http://sites.google.com/site/mohammedisam2000/home/projects
Source0:	http://sites.google.com/site/mohammedisam2000/home/projects/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	fontpackages-devel


%description
This package is a collection of traditional Arabic fonts (including Thuluth,
Koufi, Ruqaa..) in addition to other newly designed fonts. The aim is to 
provide all the basic fonts an Arabic user will need under X window system.
More fonts will be added regularly to the collection to make it the only font
source an Arabic user will need to install under the X window system

%package -n %{fontname}-koufi-fonts
Summary: Arabic Koufi font - Part of the Layla fonts collection
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-koufi-fonts
Arabic Koufi font - Part of the Layla fonts collection

%package -n %{fontname}-thuluth-fonts
Summary: Arabic Thuluth font - Part of the Layla fonts collection
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-thuluth-fonts
Arabic Thuluth font - Part of the Layla fonts collection

%package -n %{fontname}-boxer-fonts
Summary: Arabic Boxer font - Part of the Layla fonts collection
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-boxer-fonts
Arabic Boxer font - Part of the Layla fonts collection

%package -n %{fontname}-ruqaa-fonts
Summary: Arabic Ruqaa font - Part of the Layla fonts collection
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-ruqaa-fonts
Arabic Ruqaa font - Part of the Layla fonts collection

%package -n %{fontname}-basic-arabic-fonts
Summary: Basic Arabic font - Part of the Layla fonts collection
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-basic-arabic-fonts
Basic Arabic font - Part of the Layla fonts collection

%package -n %{name}-common
Requires: fontpackages-filesystem
Summary: Common files for the Layla fonts package collection
%description -n %{name}-common
Common files for the Layla fonts package collection

%_font_pkg -n koufi -f %{fontconf}-Koufi.conf LaylaKoufi*.ttf
%_font_pkg -n thuluth -f %{fontconf}-Thuluth.conf LaylaThuluth*.ttf
%_font_pkg -n boxer -f %{fontconf}-Boxer.conf LaylaBoxer*.ttf
%_font_pkg -n ruqaa -f %{fontconf}-Ruqaa.conf LaylaRuqaa*.ttf
%_font_pkg -n basic-arabic -f %{fontconf}-BasicArabic.conf LaylaBasicArabic*.ttf

%prep
%setup -q

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
			%{buildroot}%{_fontconfig_confdir}
install -m 0644 -p confs/%{fontconf}-Koufi.conf \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-Koufi.conf
install -m 0644 -p confs/%{fontconf}-Thuluth.conf \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-Thuluth.conf
install -m 0644 -p confs/%{fontconf}-Boxer.conf \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-Boxer.conf
install -m 0644 -p confs/%{fontconf}-Ruqaa.conf \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-Ruqaa.conf
install -m 0644 -p confs/%{fontconf}-BasicArabic.conf \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}-BasicArabic.conf

for fconf in %{fontconf}-Koufi.conf \
		%{fontconf}-Thuluth.conf \
		%{fontconf}-Boxer.conf \
		%{fontconf}-Ruqaa.conf \
		%{fontconf}-BasicArabic.conf ; do
	ln -s %{_fontconfig_templatedir}/$fconf \
		%{buildroot}%{_fontconfig_confdir}/$fconf
done


%files common
%doc README FONTLOG.txt ChangeLog OFL.txt OFL-FAQ.txt Authors


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.4-1
- Added SIL license files & FONTLOG.txt

* Fri Feb 06 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.3-1
- Fixed spec file - removed man & info pages

* Fri Feb 06 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.2-1
- Fixed issues with spec file & missing license

* Wed Jul 16 2014 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-1
- Updated info and manpages

* Fri Mar 21 2014 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-1
- First release
